from django.utils.translation import gettext_lazy as _
from thx.admintools.link_class.admin import LinkClassMixin

from thx.role.admin_views import ExportRoleFormView, ImportRoleFormView


class ImportRoleLink:
    url = 'import_roles'
    url_name = url
    button = True
    # permissions = (("role.view_role",), ("role.change_role",))
    permissions = None
    title = _('Import roles')
    view_class = ImportRoleFormView


class ExportRoleLink:
    url = 'export_roles'
    url_name = url
    button = True
    # permissions = (("role.view_role",), ("role.change_role",))
    permissions = None
    title = _('Export roles')
    view_class = ExportRoleFormView


class ImportExportRoleLinkMixin(LinkClassMixin):
    link_classes = (ImportRoleLink, ExportRoleLink,)
