# -*- coding: utf-8 -*-
from thx.role.core.filters import ThxRoleFilterBackend


class ProfileFilterBackend(ThxRoleFilterBackend):
    def default_filter_queryset(self, request, queryset, view):
        profile = view.ar.profile
        if profile in ["superuser", "staff"]:
            return queryset
        return queryset.none()


class RoleFilterBackend(ThxRoleFilterBackend):
    def default_filter_queryset(self, request, queryset, view):
        profile = view.ar.profile
        if profile in ["superuser", "staff"]:
            return queryset
        return queryset.none()


class MenuFilterBackend(ThxRoleFilterBackend):
    def default_filter_queryset(self, request, queryset, view):
        if view.action in ["list"]:
            return queryset.filter_user_menu(request.user, view.ar.profile)
        return queryset


class MenuTranslationFilterBackend(ThxRoleFilterBackend):
    def default_filter_queryset(self, request, queryset, view):
        profile = view.ar.profile
        if profile in ["superuser", "staff"]:
            return queryset
        return queryset.none()
