# Generated by Django 3.2.20 on 2023-07-24 11:06

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('role', '0012_auto_20230717_1047'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='menu',
            options={'ordering': ('ordering', 'parent__title', 'title'), 'permissions': (('list_menu', 'Can list menu'), ('detail_menu', 'Can detail menu'), ('enable_menu', 'Can enable menu'), ('disable_menu', 'Can disable menu')), 'verbose_name': 'menu', 'verbose_name_plural': 'menu'},
        ),
        migrations.RemoveField(
            model_name='menu',
            name='language_code',
        ),
        migrations.RemoveField(
            model_name='menu',
            name='roles',
        ),
        migrations.AddField(
            model_name='menu',
            name='description',
            field=models.CharField(blank=True, max_length=255, null=True, verbose_name='description'),
        ),
        migrations.AddField(
            model_name='menu',
            name='profiles',
            field=models.ManyToManyField(blank=True, related_name='menus', to='role.Profile', verbose_name='profiles'),
        ),
        migrations.AlterField(
            model_name='profile',
            name='codename',
            field=models.CharField(db_index=True, max_length=255, unique=True, verbose_name='codename'),
        ),
        migrations.AlterField(
            model_name='profile',
            name='name',
            field=models.CharField(max_length=200, unique=True, verbose_name='name'),
        ),
        migrations.CreateModel(
            name='MenuTranslation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('title', models.CharField(max_length=255, verbose_name='title')),
                ('description', models.CharField(blank=True, max_length=255, null=True, verbose_name='description')),
                ('language_code', models.CharField(choices=[('it', 'Italian'), ('en', 'English')], max_length=2, verbose_name='language code')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='role_menutranslation_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='role_menutranslation_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
                ('menu', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='role.menu', verbose_name='menu')),
            ],
            options={
                'verbose_name': 'menu translation',
                'verbose_name_plural': 'menu translation',
                'ordering': ('ordering', 'language_code'),
                'permissions': (('list_menutranslation', 'Can list menu translation'), ('detail_menutranslation', 'Can detail menu translation'), ('enable_menutranslation', 'Can enable menu translation'), ('disable_menutranslation', 'Can disable menu translation')),
            },
        ),
    ]
